Class | Tk::BWidget::PagesManager
In: | tk/lib/tkextlib/bwidget/pagesmanager.rb
Parent: | TkWindow

### Methods

add compute_size delete get_frame get_page pages raise tagid

### Constants

TkCommandNames | = | ['PagesManager'.freeze].freeze
WidgetClassName | = | 'PagesManager'.freeze

### Public Instance methods

add(page, &b)

[Source]

    # File tk/lib/tkextlib/bwidget/pagesmanager.rb, line 27
      def add(page, &b)
        win = window(tk_send('add', tagid(page)))
        win.instance_eval(&b) if b
        win
      end

compute_size()

[Source]

    # File tk/lib/tkextlib/bwidget/pagesmanager.rb, line 33
      def compute_size
        tk_send('compute_size')
        self
      end

delete(page)

[Source]

    # File tk/lib/tkextlib/bwidget/pagesmanager.rb, line 38
      def delete(page)
        tk_send('delete', tagid(page))
        self
      end

get_frame(page, &b)

[Source]

    # File tk/lib/tkextlib/bwidget/pagesmanager.rb, line 43
      def get_frame(page, &b)
        win = window(tk_send('getframe', tagid(page)))
        win.instance_eval(&b) if b
        win
      end

get_page(page)

[Source]

    # File tk/lib/tkextlib/bwidget/pagesmanager.rb, line 49
      def get_page(page)
        tk_send('pages', page)
      end

pages(first=None, last=None)

[Source]

    # File tk/lib/tkextlib/bwidget/pagesmanager.rb, line 53
      def pages(first=None, last=None)
        list(tk_send('pages', first, last))
      end

raise(page=None)

[Source]

    # File tk/lib/tkextlib/bwidget/pagesmanager.rb, line 57
      def raise(page=None)
        tk_send('raise', page)
        self
      end

tagid(id)

[Source]

    # File tk/lib/tkextlib/bwidget/pagesmanager.rb, line 22
      def tagid(id)
        # id.to_s
        _get_eval_string(id)
      end

[Validate]